import { Collection } from './collection';
import { BlockValue } from './interface';
export interface NotabaseParams {
    proxy?: {
        url: string;
        authCode: string;
    };
    token?: string;
}
export declare class Notabase {
    isBatchUpdate: boolean;
    isFetchAll: boolean;
    utils: any;
    blockStore: {
        [key: string]: {
            value: BlockValue;
        };
    };
    collectionSchemaStore: any;
    collectionStore: any;
    private url;
    private authCode;
    private token;
    reqeust: {
        post: (path: string, data: any) => any;
    };
    transactions: any[];
    constructor(options?: NotabaseParams);
    genId(): any;
    submitTransaction(postData: any): Promise<void>;
    startAtomic(): void;
    endAtomic(): void;
    /**
     * isbBatchUpdate 为 true 时，正式提交修改
     */
    submit(): Promise<void>;
    searchBlocks(fullTableID: any, query: any): Promise<any>;
    getBrowseableUrlByCollectionPageId(pageId: any): Promise<string>;
    getRecordValues(blockIds: any, collectionIds: any): Promise<any>;
    loadPageChunk(pageId: any): Promise<void>;
    getPageCollectionInfo(pageId: any): Promise<string[]>;
    queryCollection(collectionId: any, collectionViewId: any, limit?: number): Promise<any>;
    fetchCollectionData(collectionId: any, collectionViewId: any, limit?: number): Promise<Collection>;
    fetch(urlOrPageId: any): Promise<Collection>;
    fetchAll(dbMap: any): Promise<{}>;
    fetchConfig(url: any, { key, value }: {
        key: any;
        value: any;
    }): Promise<{}>;
}
